#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  libunique-1.1.6

- Next

  libusb-1.0.24

- Up
- Home

# libunistring-0.9.10

## Introduction to libunistring

libunistring is a library that provides functions for manipulating Unicode strings and for manipulating C strings according to the Unicode standard.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://ftp.gnu.org/gnu/libunistring/libunistring-0.9.10.tar.xz

- Download (FTP): ftp://ftp.gnu.org/gnu/libunistring/libunistring-0.9.10.tar.xz

- Download MD5 sum: db08bb384e81968957f997ec9808926e

- Download size: 2.0 MB

- Estimated disk space required: 49 MB (add 43 MB for tests)

- Estimated build time: 0.9 SBU (add 1.0 SBU for tests)

### libunistring Dependencies

#### Optional

texlive-20200406 (or install-tl-unx) (to rebuild the documentation)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libunistring

## Installation of libunistring

Install libunistring by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libunistring-0.9.10 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Libraries: libunistring.so
Installed Directory: /usr/include/unistring and /usr/share/doc/libunistring-0.9.10

### Short Descriptions

libunistring.so | provides the unicode string library API

Last updated on 2021-02-19 21:30:09 -0800

- Prev

  libunique-1.1.6

- Next

  libusb-1.0.24

- Up
- Home